SET NOEXEC OFF
GO

Declare @dbVersion_neu Int
Set @dbVersion_neu = 2061

DECLARE @dbUpdate bit

Declare @dbOwner Varchar(20)
Declare @user Varchar(20)
-- Select  @dbOwner = convert(sysname,schema_name(o.schema_id)) From  sys.all_objects o WHERE Name = 'VORGANG'

Select @dbOwner = (Select TABLE_SCHEMA From information_schema.tables Where Table_name ='Vorgang')
Select @user = USER

Declare @dbVersion_alt Int
Select  @dbVersion_alt = Max(dbversion) From WgVers

Declare @dbServer Varchar(100)
Select  @dbServer = Left(CAST(@@Version AS Varchar(100)),55)

Declare @HK as varchar(1)
Set @HK=CHAR(39)

Declare @dbSQL nVarchar(200)
Set @dbSQL='INSERT INTO WgVers (WGVERSNR, DBVERSION, DB_SERVER, DB_OWNER) VALUES(1, ' +CAST( @dbVersion_neu as varchar(5)) + ', ' + @HK + cast(@dbServer as varchar(159)) + @HK +', ' + @HK + CAST(@dbOwner as varchar(50)) + @HK + ')'


Set @dbUpdate = 1
      
IF @dbOwner <> @user
	Begin
		Print 'Der User ' + @dbOwner  + ' ist nicht Eigentümer ' + @user + ' der Datenbank, Script wird abgebrochen!'
		Set @dbUpdate = 0
	End
	
IF (@dbVersion_neu -1) <> @dbVersion_alt
	Begin
		Print 'Skript für dbVersion ' + Cast(@dbVersion_alt As Varchar(10)) + ' ist nicht fortlaufend, Skript wird abgebrochen!'
		Set @dbUpdate = 0
	End

IF @dbUpdate = 1
	Begin
		Delete From WGVERS
		EXEC sp_executesql @dbSQL 
		Print 'Skript für dbVersion ' + Cast(@dbVersion_neu As Varchar(10))  + ' wird ausgeführt!'  
 	End   	
	
IF @dbUpdate = 0
   SET NOEXEC ON -- Stopt Batch-Ausführung
GO



ALTER TABLE ORTE
ADD
	AGS			varchar(12) NULL
GO

CREATE TABLE SYSTEM_FU_KI
(
	LFD_FU_KI		int NOT NULL,
	FU_KI_BEZ		varchar(100) NULL,
 	PRIMARY KEY (LFD_FU_KI)
)
GO

ALTER TABLE SYSTEM_FEHL_UNTERLAGEN
ADD
	Unterlagen_KI_LFD	int NULL
GO


ALTER TABLE DOKUMENTE_VORLAGEN
ADD
	V_DMS_DOKTYP		smallint NULL,
	V_Langer_Text		smallint NULL
GO

CREATE TABLE SYSTEM_DMS_TYP
(
	TYP_ID			smallint NOT NULL,
	TYP_BEZ			varchar(50) NULL,
	KAT_ID			smallint NULL,
	PRIMARY KEY (TYP_ID)
)
GO

CREATE TABLE ZUSATZDOLLARVAR_LANG
(
	lfd			int NOT NULL,
	Beschreibung		varchar(255) NULL,
	DollarWert		varchar(1000) NOT NULL,
	Art			smallint NULL,
 	PRIMARY KEY(lfd)
)
GO

INSERT INTO ZUSATZDOLLARVAR_LANG (lfd, Beschreibung, DollarWert, Art)
VALUES (1, 'Hier kann ein Text bis 1000 Zeichen eingetragen werden', 'Hier nun den Text eintragen', 1)
GO



-- #### CMIS ####
  
CREATE TABLE CMIS_MAP
(
	MAP_ID			Int NOT NULL,	
        Parameter		Varchar(255) NOT NULL,
	Beschreibung		Varchar(255) NULL,
        PRIMARY KEY (MAP_ID)
)
GO

CREATE TABLE CMIS_OBJ_ID
(
	ID			int IDENTITY(1,1) NOT NULL,
	FV_KZN			varchar(8) NULL,
	AGS			varchar(8) NULL,
	AKTENZN			varchar(10) NULL,
	CMIS_ID			varchar(10) NULL,
	CREATE_AKTE		varchar(8) NULL,
	DELETE_AKTE		varchar(14) NULL,
	PRIMARY KEY (ID)
)
GO


